﻿@using BeamAndGo.Member.Admin.Web
@using BeamAndGo.Core.Common
@using Microsoft.AspNetCore.Http;
@{
    var member = Context.Items[ItemKey.Member.Profile] as BeamAndGo.Member.Member;
    var adminAccessLevel = Context.Items[ItemKey.Member.Admin] as MemberAdmin;
    //var country = Context.Items[ItemKey.Member.Country] as BeamAndGo.Core.Location.Country;
    //var accounts = Context.Items[ItemKey.Accounts] as IList<BeamAndGo.Wallet.Web.Models.WalletAccountModel>;
    var route = (Context.Request.Path.Value).ToLower();
    var redirectUrl = !string.IsNullOrEmpty(Context.Session.GetString(SessionKey.RedirectUrl)) ? Context.Session.GetString(SessionKey.RedirectUrl) : "/";
}

<div id="sidemenu" uk-offcanvas="overlay: true">
    <div class="uk-offcanvas-bar">
        <button class="uk-offcanvas-close" type="button" uk-close></button>
        <div class="uk-margin">
            <img src="@Context.Items["StaticAssetsUrl"]/img/bng-default-logo-orange-001-242x64.png" style="height: 32px">
        </div>
        <div class="uk-margin uk-text-small">
            @if (member != null)
            {
                <strong>@member.FirstName @member.LastName</strong><br>
            }
        </div>

        <div class="uk-margin-small">
            <a id="installApp" class="uk-button uk-button-default uk-width-1-1" onclick="showPWAPrompt()" style="display: none"><span uk-icon="download"></span> Install App</a>
        </div>

        <ul id="sidemenu-nav" class="uk-nav uk-nav-default uk-margin">
            <li id="sidemenu-store" class="uk-parent">
                <span style="color: #f2573b" class="uk-nav-header">Administration</span>
                <ul class="uk-nav-sub">
                    <li><a asp-page="/Member/List">Manage Members</a></li>
                    @if (Context.Items.ContainsKey(ItemKey.Member.Admin))
                    {
                        @if (adminAccessLevel.AccessLevel == MemberAdminAccessLevel.SuperAdmin)
                        {
                            <li><a asp-page="/Admin/List">Manage Admins</a></li>
                            <li><a asp-page="/PreferenceType/List">Preference Types</a></li>
                            <li><a asp-page="/RelationshipType/List">Relationship Types</a></li>
                        }
                    }
                </ul>
            </li>

            <li id="sidemenu-store" class="uk-parent">
                <span style="color: #f2573b" class="uk-nav-header">Aggregate Reports</span>
                <ul class="uk-nav-sub">
                    <li><a asp-page="/">Family Size</a></li>
                    <li><a asp-page="/">Consumer Spending</a></li>
                    <li><a asp-page="/">Responsibility Tracking</a></li>
                </ul>
            </li>

            <li class="uk-nav-divider"></li>
            <li><a href="https://www.beamandgo.com/ContactUs">Contact us</a></li>
            <li><a href="#modal-logout" uk-toggle>Logout</a></li>
        </ul>

        <div class="uk-position-bottom uk-hidden@s">
            <div class="uk-margin uk-text-center">
                <p class="uk-text-muted uk-margin-remove" style="font-size: 12px">&#169; @DateTime.UtcNow.Year BeamAndGo Pte Ltd.</p>
                <p class="uk-text-muted uk-margin-remove" style="font-size: 12px">All rights reserved</p>
            </div>
        </div>
    </div>
</div>

<div id="sidemenu_nologin" uk-offcanvas="overlay: true">
    <div class="uk-offcanvas-bar">
        <button class="uk-offcanvas-close" type="button" uk-close></button>

        <div class="uk-margin">
            <img src="@Context.Items["StaticAssetsUrl"]/img/bng-default-logo-orange-001-242x64.png" style="height: 32px">
        </div>

        <div class="uk-margin">
            <a class="uk-button uk-button-primary uk-width-1-1" href="/login">Login / Sign up FREE</a>
        </div>

        <ul id="sidemenu-nav" class="uk-nav uk-nav-default uk-margin">
            <li id="sidemenu-wallet" class="uk-menu"><a href="https://wallet.beamandgo.com/" style="color: #f2573b">WALLET</a></li>
            <li id="sidemenu-bills" class="uk-menu"><a href="https://www.beamandgo.com/@(member != null? "?auth=true":"")">STORE</a></li>
            <li class="uk-nav-divider"></li>
            <li><a href="https://www.beamandgo.com/AboutUs">About BeamAndGo</a></li>
            <li><a href="https://www.beamandgo.com/AboutUs">Our team</a></li>
            <li><a href="https://beamandgo.wordpress.com/">Blog</a></li>
            <li><a href="https://www.beamandgo.com/#latestnews">Newsroom / Press</a></li>
            <li><a href="https://www.beamandgo.com/ContactUs">Contact us</a></li>
        </ul>

        <div class="uk-position-bottom uk-hidden@s">
            <div class="uk-margin uk-text-center">
                <p class="uk-text-muted uk-margin-remove" style="font-size: 12px">&#169; @DateTime.UtcNow.Year BeamAndGo Pte Ltd.</p>
                <p class="uk-text-muted uk-margin-remove" style="font-size: 12px">All rights reserved</p>
            </div>
        </div>
    </div>
</div>
<div id="modal-logout" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-modal-body uk-margin-auto-vertical">
        <p>Are you sure you want to logout?</p>
        <p class="uk-text-right">
            <a class="uk-button uk-button-primary" href="/logout">Yes</a>
            <button class="uk-button uk-button-default uk-modal-close" type="button">No</button>
        </p>
    </div>
</div>

<div id="modal-pwaios" class="uk-flex-top" uk-modal>
    <div class="uk-modal-dialog uk-modal-body uk-margin-auto-vertical">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <p>Add to Home Screen</p>
        <p class="uk-text-small uk-text-muted">This website has app functionality. Add it to your home screen to use it in fullscreen</p>
        <hr class="uk-divider-icon">
        <p><i class="fas fa-sign-out-alt fa-rotate-270" style="color:#2196F3"></i> Press the 'Share' button</p>
        <p><i class="far fa-plus-square"></i> Press 'Add to Home Screen'</p>
    </div>
</div>